Subject: Re: bug#76294: `(cl-proclaim (inline foo))` vs `(defsubst foo ...)`

From: Richard Stallman <[email-masked]>
Date: Tue, 18 Feb 2025 19:59:10 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > >> May I ask what is the value proposition of
  > >>
  > >>     (defun foo () ...)
  > >>     (cl-proclaim '(inline foo))
  > >>
  > >> over
  > >>
  > >>     (defsubst foo () ...)
  > >>
  > >> in Emacs Lisp code?
  > >
  > > I never dared to touch this because I know I'm biased against those
  > > thingies.  IOW, I'd be happy to deprecate such usage.  🙂

The message starts by comparing two constructs.
Which of the two are you proposing to deprecate?

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)